## pytrainer 1.6.0.8

=== Makefile ===
install:
	xgettext glade/pytrainer.glade -o ./messages.pot
	find ./ -iname "*.py" -exec xgettext -k_ -j -o ./messages.pot ./pytrainer/main.py {}  \;
	make locale_es
	make locale_eu
	make locale_ca
	make locale_fr
	make locale_da
	make locale_de
	make locale_no
	make locale_cs
	make locale_ru
	make locale_pl

locale_es:
	msginit -i ./messages.pot -l es -o ./locale/es/LC_MESSAGES/pytrainer_es.pot
locale_eu:
	msginit -i ./messages.pot -l eu -o ./locale/eu/LC_MESSAGES/pytrainer_eu.pot
locale_ca:
	msginit -i ./messages.pot -l ca -o ./locale/ca/LC_MESSAGES/pytrainer_ca.pot
locale_fr:
	msginit -i ./messages.pot -l fr -o ./locale/fr/LC_MESSAGES/pytrainer_fr.pot
locale_da:
	msginit -i ./messages.pot -l da -o ./locale/de/LC_MESSAGES/pytrainer_da.pot
locale_de:
	msginit -i ./messages.pot -l de -o ./locale/de/LC_MESSAGES/pytrainer_de.pot
locale_pl:
	msginit -i ./messages.pot -l pl -o ./locale/pl/LC_MESSAGES/pytrainer_pl.pot
locale_no:
	msginit -i ./messages.pot -l no -o ./locale/no/LC_MESSAGES/pytrainer_no.pot
locale_cs:
	msginit -i ./messages.pot -l cs -o ./locale/cs/LC_MESSAGES/pytrainer_cs.pot
locale_ru:
	msginit -i ./messages.pot -l ru -o ./locale/ru/LC_MESSAGES/pytrainer_ru.pot
locale_pl:
	msginit -i ./messages.pot -l pl -o ./locale/ru/LC_MESSAGES/pytrainer_pl.pot

=== locale/ca/LC_MESSAGES/Makefile ===
default:
	msgfmt pytrainer_ca.po -o ./pytrainer.mo

merge:
	msgmerge pytrainer_ca.po pytrainer_ca.pot > pytrainer_ca.po.tmp
	mv pytrainer_ca.po.tmp pytrainer_ca.po

=== locale/cs/LC_MESSAGES/Makefile ===
default:
	msgfmt pytrainer_cs.po -o ./pytrainer.mo

merge:
	msgmerge pytrainer_cs.po pytrainer_cs.pot > pytrainer_cs.po.tmp
	mv pytrainer_cs.po.tmp pytrainer_cs.po

=== locale/da/LC_MESSAGES/Makefile ===
default:
	msgfmt pytrainer_dk.po -o ./pytrainer.mo

merge:
	msgmerge pytrainer_dk.po pytrainer_dk.pot > pytrainer_dk.po.tmp
	mv pytrainer_de.pk.tmp pytrainer_dk.po

=== locale/de/LC_MESSAGES/Makefile ===
default:
	msgfmt pytrainer_de.po -o ./pytrainer.mo

merge:
	msgmerge pytrainer_de.po pytrainer_de.pot > pytrainer_de.po.tmp
	mv pytrainer_de.po.tmp pytrainer_de.po

=== locale/es/LC_MESSAGES/Makefile ===
default:
	msgfmt pytrainer_es.po -o ./pytrainer.mo

merge:
	msgmerge pytrainer_es.po pytrainer_es.pot > pytrainer_es.po.tmp
	mv pytrainer_es.po.tmp pytrainer_es.po

=== locale/eu/LC_MESSAGES/Makefile ===
default:
	msgfmt pytrainer_eu.po -o ./pytrainer.mo

merge:
	msgmerge pytrainer_eu.po pytrainer_eu.pot > pytrainer_eu.po.tmp
	mv pytrainer_eu.po.tmp pytrainer_eu.po

=== locale/fr/LC_MESSAGES/Makefile ===
default:
	msgfmt pytrainer_fr.po -o ./pytrainer.mo

merge:
	msgmerge pytrainer_fr.po pytrainer_fr.pot > pytrainer_fr.po.tmp
	mv pytrainer_fr.po.tmp pytrainer_fr.po

=== locale/no/LC_MESSAGES/Makefile ===
default:
	msgfmt pytrainer_no.po -o ./pytrainer.mo

merge:
	msgmerge pytrainer_no.po pytrainer_no.pot > pytrainer_no.po.tmp
	mv pytrainer_no.po.tmp pytrainer_no.po

=== locale/pl/LC_MESSAGES/Makefile ===
default:
	msgfmt pytrainer_pl.po -o ./pytrainer.mo

merge:
	msgmerge pytrainer_pl.po pytrainer_pl.pot > pytrainer_pl.po.tmp
	mv pytrainer_pl.po.tmp pytrainer_pl.po

=== locale/ru/LC_MESSAGES/Makefile ===
default:
	msgfmt pytrainer_ru.po -o ./pytrainer.mo

merge:
	msgmerge pytrainer_ru.po pytrainer_ru.pot > pytrainer_ru.po.tmp
	mv pytrainer_ru.po.tmp pytrainer_ru.po

## pytrainer 1.7.2

=== locale/da/LC_MESSAGES/Makefile ===
default:
	msgfmt pytrainer_dk.po -o ./pytrainer.mo

merge:
	msgmerge pytrainer_dk.po pytrainer_dk.po_new > pytrainer_dk.po.tmp
	mv pytrainer_de.pk.tmp pytrainer_dk.po
	rm pytrainer_dk.po_new

=== locale/pl/LC_MESSAGES/Makefile ===
default:
	msgfmt pytrainer_pl.po -o ./pytrainer.mo

merge:
	msgmerge pytrainer_pl.po pytrainer_pl.po_new > pytrainer_pl.po.tmp
	mv pytrainer_pl.po.tmp pytrainer_pl.po
	rm pytrainer_pl.po_new

## pytrainer 1.8.0

=== debian/changelog ===
pytrainer (1.8.0-3ubuntu1) oneiric; urgency=low

  * No longer check gpsbabel version number in the code (LP: #694603) but
    depend on version >= 1.3.5 instead.  Thanks to Xavier Bassery for the
    patch.

 -- Brian Murray <brian@ubuntu.com>  Mon, 03 Oct 2011 14:29:57 -0700

pytrainer (1.8.0-3) unstable; urgency=low

  * No longer depend on python-gtkmozembed and depend on python-webkit
    This really Closes: #627793

 -- Christian Perrier <bubulle@debian.org>  Tue, 28 Jun 2011 20:02:20 +0200

pytrainer (1.8.0-2) unstable; urgency=low

  * Make the package officially team-maintained
  * Add myself to Uploaders
  * Set XS-Python-Version: >=2.5 in debian/control as pytrainer
    needs it. Closes: #582056
  * Improve package description. Closes: #624785
  * Port from python-gtkmozembed to python-webkit. GtkMozEmbed has been
    abandoned upstream. Closes: #627793
    Thanks to Chris Coulson for the patch, originating in Ubuntu
    - add debian/patches/01_port_to_webkit.patch
    - add debian/patches/series
    - update debian/control
    - update debian/rules
  * Add ${python:Depends} to Depends
  * Add build-arch and build-indep targets to debian/rules
  * Use "3.0 (quilt)" source format

 -- Christian Perrier <bubulle@debian.org>  Sun, 26 Jun 2011 16:09:37 +0200

pytrainer (1.8.0-1) unstable; urgency=low

  * new upstream release
    - fixed problem with missing config (closes: #581991)
  * ACK NMU (closes: #591983)

 -- Noèl Köthe <noel@debian.org>  Sat, 11 Dec 2010 21:27:45 +0100

pytrainer (1.7.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add python as dependency thanks to Jakub Wilk (Closes: #591983). 

 -- Martijn van Brummelen <martijn@brumit.nl>  Fri, 17 Sep 2010 13:12:47 +0200

pytrainer (1.7.2-1) unstable; urgency=low

  * new upstream release from 2010-04-11
    - upstream added import "with" statement. closes: #568781
  * updated Standards-Version to 3.8.4 without changes
  * changed browser dependency as requested by Luke Faraone
    closes: Bug#580521
  * corrected "except .. as" syntax error for python 2.5. This will
    be dropped with python 2.6 as default python

 -- Noèl Köthe <noel@debian.org>  Wed, 12 May 2010 15:33:22 +0200

pytrainer (1.7.1-1.1) unstable; urgency=low

  * Non-maintainer upload, to prepare for Python 2.6 transition
  * debian/rules
    - added '--install-layout=deb' parameter to setup.py install call; thanks to
      Jakub Wilk for the report; Closes: #530526
  * debian/control
    - set b-d on python (instead of p-dev) and bump version to '>= 2.5.3-1~', to
      support install-layout
  * debian/{control, rules}
    - added python-support, to byte-compiling and properly handle Python
      module; thanks to Luca Falavigna for the report; Closes: #566046
  * plugins/{garmintools/garmintools.py, garmintools_full/garmintools_full.py},
    import/file_garmintools.py
    - patched to explicitly import the "with" statement; thanks to Jonathan
      Wiltshire for the report; Closes: #568781

 -- Sandro Tosi <morph@debian.org>  Thu, 04 Mar 2010 15:00:30 +0100

pytrainer (1.7.1-1) unstable; urgency=low

  * new upstream release from 2010-01-24
    - .desktop file doesn't have the Encoding anymore
      (closes: Bug#560906)
    - garmin tool integration
      (closes: Bug#536572)
    - fixed wordpress integration (upstream Ticket#27)
      (closes: Bug#564472)
  * fixed lintian warning debhelper-but-no-misc-depends

 -- Noèl Köthe <noel@debian.org>  Sun, 24 Jan 2010 20:54:37 +0100

pytrainer (1.7.0-1) unstable; urgency=low

  * new upstream release
  * debian/control added python-lxml dependency
  * debian/rules added --no-compile to python setup.py
    (closes: #553483)
  * debian/copyright corrected lintian warning
    old-fsf-address-in-copyright-file
  * debian/control updated Standards-Version (no changes)
  * debian/mozpytrainer.sh corrected lintian warning
    executable-not-elf-or-script
  * debian/control changed Section: from x11 to utils (from override)

 -- Noèl Köthe <noel@debian.org>  Mon, 07 Dec 2009 17:05:38 +0100

pytrainer (1.6.0.9-1) unstable; urgency=low

  * new upstream release from 2009-09-22
    - fixes typo closes: #537723

 -- Noèl Köthe <noel@debian.org>  Thu, 24 Sep 2009 07:49:38 +0200

pytrainer (1.6.0.8-1) unstable; urgency=low

  * new upstream release from 2009-04-19

 -- Noèl Köthe <noel@debian.org>  Wed, 13 May 2009 22:23:37 +0200

pytrainer (1.6.0.7-2) unstable; urgency=low

  * added missing dependency. closes: #528427
  * corrected Homepage: (e-oss.net is outdated)
  * updated Standards-Version: without changes
  * raised compat version to 5
  * corrected menu section

 -- Noèl Köthe <noel@debian.org>  Wed, 13 May 2009 21:42:57 +0200

pytrainer (1.6.0.7-1) unstable; urgency=low

  * new upstream release 1.6.0.7 from 2009-03-29
    1.6.0.6 was rejected by ftp-master because of files in the
    upstream orig with non-free license. 1.6.0.7 had these files
    removed so uploading it again
    - closing ITP again (closes: Bug#467038)

 -- Noèl Köthe <noel@debian.org>  Mon, 06 Apr 2009 17:33:04 +0200

pytrainer (1.6.0.6-1) unstable; urgency=low

  * Imported Upstream version 1.6.0.6
    - closing ITP: (closes: Bug#467038)
  * updated copyright of some source files

 -- Noèl Köthe <noel@debian.org>  Sat, 10 Jan 2009 22:28:11 +0100

pytrainer (1.5.0.0.1-2) unstable; urgency=low

  * building package for Debian
  * debian/control
    - added Homepage
    - updated Standards-Version
    - using description improvements from David Paleino <d.paleino gmail.com>
    - changed firefox to iceweasel dependency
    - removed unneeded xvfb Build-Dep
  * debian/copyright
    - added myself
    - corrected GPL link to GPL-2
  * removed old/unneeded code from postinst and postrm
  * removed usr/sbin from debian/dirs

 -- Noèl Köthe <noel@debian.org>  Sat, 09 Aug 2008 19:59:51 +0200

pytrainer (1.5.0.0.1-1) gutsy; urgency=low

  * New upstream release



=== debian/control ===
Source: pytrainer
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian running development group <pkg-running-devel@lists.alioth.debian.org>
Uploaders: Noèl Köthe <noel@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends-Indep: python (>= 2.5.3-1~), python-support (>= 1.0.0)
Build-Depends: debhelper (>= 5.0.0)
Standards-Version: 3.8.4
Homepage: http://sourceforge.net/projects/pytrainer/
X-Python-Version: >=2.5

Package: pytrainer
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python, python-libxml2, python-lxml, python-pysqlite2, python-glade2, python-gtk2, python-matplotlib, python-scipy, python-numpy, gpsbabel (>= 1.3.5), iceweasel | firefox | abrowser, python-webkit, python-soappy, zenity
Description: tool for logging sport activities
 This package provides a logging tool for runners, cyclists, etc. It
 uses data from GPS-enabled devices that generate GPX files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp:
	dh_testdir
	touch build_stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean
	rm -rf $(CURDIR)/build
	rm -rf $(CURDIR)/debian/pytrainer/usr

install:
	rm -rf $(CURDIR)/debian/pytrainer/usr
	rm -rf $(CURDIR)/build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	python setup.py install --no-compile --prefix $(CURDIR)/debian/pytrainer/usr --install-layout=deb
	mv $(CURDIR)/debian/pytrainer/usr/bin/pytrainer $(CURDIR)/debian/pytrainer/usr/bin/pytr
	cp $(CURDIR)/debian/mozpytrainer.sh $(CURDIR)/debian/pytrainer/usr/bin/pytrainer 

binary-arch: 
#nothing to do

# Build architecture-dependent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman debian/pytrainer.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_pysupport
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep 
.PHONY: build clean binary-indep binary install

## pytrainer 1.9.1

=== debian/changelog ===
pytrainer (1.9.1-2) unstable; urgency=low

  * Move pytr back to /usr/bin. Closes: #650330

 -- Christian Perrier <bubulle@debian.org>  Tue, 29 Nov 2011 05:59:53 +0100

pytrainer (1.9.1-1) unstable; urgency=low

  * New upstream release. This closes the following bugs from Debian
    BTS:
    - Portuguese translation. Closes: #645960
    - German translation. Closes: #647751
    - Wrong name for Danish translation. Closes: #624136
    - New upstream release. Closes: #648600
    - Fixed run failure un mipsel. Closes: #587997
    - Fixed "AttributeError: 'NoneType' object has, no attribute 'read'"
      Closes: #622170
  * Drop debian/pytrainer.1 as upstream now provides a manpage
    (which we to to build at build time)
  * Warn users about the lengthy database migration process, in
    NEWS.Debian
  * Fix synopsis in upstream manpage
  * Move pytr in /usr/lib/pytrainer as we're using a wrapper. That
    will also avoid a lintian warning about a missing manpage.
    Closes: #560907
  * Depend on python-migrate to allow database migration at first run
  * Bump Standards to 3.9.2 (checked)
  * Bump debhelper compatibility to 8
  * Use dh7-style debian/rules

 -- Christian Perrier <bubulle@debian.org>  Sun, 27 Nov 2011 17:52:03 +0100

pytrainer (1.8.0-4) unstable; urgency=low

  * No longer check gpsbabel version number in the code (LP: #694603)
    but depend on version >= 1.3.5 instead.  Thanks to Xavier Bassery for
    the patch. Closes: #644210

 -- Christian Perrier <bubulle@debian.org>  Sun, 09 Oct 2011 15:29:03 +0200

=== debian/control ===
Source: pytrainer
Section: utils
Priority: optional
Maintainer: Debian running development group <pkg-running-devel@lists.alioth.debian.org>
Uploaders: Noèl Köthe <noel@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends-Indep: python (>= 2.5.3-1~), python-support (>= 1.0.0)
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/projects/pytrainer/
X-Python-Version: >=2.5

Package: pytrainer
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python, python-libxml2, python-lxml, python-pysqlite2, python-glade2, python-gtk2, python-matplotlib, python-scipy, python-numpy, gpsbabel, iceweasel | firefox | abrowser, python-webkit, python-soappy, zenity, python-migrate (>= 0.5.4)
Description: tool for logging sport activities
 This package provides a logging tool for runners, cyclists, etc. It
 uses data from GPS-enabled devices that generate GPX files.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

		
override_dh_clean:
	dh_clean
	rm -rf debian/build
	rm -rf debian/pytrainer.7

override_dh_install:
	rm -rf debian/build
	python setup.py install --no-compile --prefix debian/pytrainer/usr --install-layout=deb
	mv debian/pytrainer/usr/bin/pytrainer debian/pytrainer/usr/bin/pytr
	cp debian/mozpytrainer.sh debian/pytrainer/usr/bin/pytrainer 
	cp man/manpage_pytrainer.src debian/pytrainer.7

## pytrainer 1.10.1

=== debian/changelog ===
pytrainer (1.10.1-4) unstable; urgency=low

  * Reupload to unstable
  * Update Standards to 3.9.6 (checked)

 -- Christian Perrier <bubulle@debian.org>  Mon, 11 May 2015 07:04:06 +0200

pytrainer (1.10.1-3) unstable; urgency=low

  * Change upstream home page.
  * Add VCS-* fields to debian/control. Closes: #709798
  * Build-Depend on dh-python instead of python-support.
  * Bump debhelper compatibility level to 9

 -- Christian Perrier <bubulle@debian.org>  Sun, 26 May 2013 07:18:46 +0200

pytrainer (1.10.1-2) unstable; urgency=low

  * Upload to unstable

 -- Christian Perrier <bubulle@debian.org>  Sun, 19 May 2013 14:41:40 +0200

pytrainer (1.10.1-1) experimental; urgency=low

  * New upstream version. Closes: #704301
    This fixes the following Debian bugs:
    - Import .fit files. Closes: #636128
  * Drop no longer needed 03_fix-manpage-synopsis.patch
  * Update Standards to 3.9.4 (checked).
  * Use "set -e" in postinst and postrm instead of passing it to the
    shebang line.
  * provide a pytr(7) manpage as we're using a wrapper and rename
    the binary.

 -- Christian Perrier <bubulle@debian.org>  Mon, 08 Apr 2013 16:28:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,12 @@
 Priority: optional
 Maintainer: Debian running development group <pkg-running-devel@lists.alioth.debian.org>
 Uploaders: Noèl Köthe <noel@debian.org>, Christian Perrier <bubulle@debian.org>
-Build-Depends-Indep: python (>= 2.5.3-1~), python-support (>= 1.0.0)
-Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.2
-Homepage: http://sourceforge.net/projects/pytrainer/
+Build-Depends-Indep: python (>= 2.5.3-1~), dh-python
+Build-Depends: debhelper (>= 9~)
+Standards-Version: 3.9.6
+Homepage: http://github.com/pytrainer/
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-running/pytrainer.git
+Vcs-Git: git://anonscm.debian.org/pkg-running/pytrainer.git
 X-Python-Version: >=2.5
 
 Package: pytrainer

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

		
override_dh_clean:
	dh_clean
	rm -rf debian/build

override_dh_install:
	rm -rf debian/build
	python setup.py install --no-compile --prefix debian/pytrainer/usr --install-layout=deb
	mv debian/pytrainer/usr/bin/pytrainer debian/pytrainer/usr/bin/pytr
	cp debian/mozpytrainer.sh debian/pytrainer/usr/bin/pytrainer

## pytrainer 1.10.2~git20160107

=== locale/cs/LC_MESSAGES/Makefile ===
default:
	msgfmt pytrainer_cs.po -o ./pytrainer.mo

merge:
	msgmerge pytrainer_cs.po pytrainer_cs.po_new > pytrainer_cs.po.tmp
	mv pytrainer_cs.po.tmp pytrainer_cs.po
	rm pytrainer_cs.po_new

=== locale/da/LC_MESSAGES/Makefile ===
default:
	msgfmt pytrainer_da.po -o ./pytrainer.mo

merge:
	msgmerge pytrainer_da.po pytrainer_da.po_new > pytrainer_da.po.tmp
	mv pytrainer_da.po.tmp pytrainer_da.po
	rm pytrainer_da.po_new

=== locale/de/LC_MESSAGES/Makefile ===
default:
	msgfmt pytrainer_de.po -o ./pytrainer.mo

merge:
	msgmerge pytrainer_de.po pytrainer_de.po_new > pytrainer_de.po.tmp
	mv pytrainer_de.po.tmp pytrainer_de.po
	rm pytrainer_de.po_new

=== locale/eu/LC_MESSAGES/Makefile ===
default:
	msgfmt pytrainer_eu.po -o ./pytrainer.mo

merge:
	msgmerge pytrainer_eu.po pytrainer_eu.po_new > pytrainer_eu.po.tmp
	mv pytrainer_eu.po.tmp pytrainer_eu.po
	rm pytrainer_eu.po_new

=== locale/fr/LC_MESSAGES/Makefile ===
default:
	msgfmt pytrainer_fr.po -o ./pytrainer.mo

merge:
	msgmerge pytrainer_fr.po pytrainer_fr.po_new > pytrainer_fr.po.tmp
	mv pytrainer_fr.po.tmp pytrainer_fr.po
	rm pytrainer_fr.po_new

=== debian/changelog ===
pytrainer (1.10.2~git20160107-1) unstable; urgency=medium

  * Fix .fit and .gpx file import issues with perl 5.22 Closes: #727768
  * Update debian/copyright according dep5 specification
  * Change upstream homepage from user account to repository and improve
    extended description in debian/control
  * Add debian/watch file
  * Create patch to fix some minor bugs in pytrainer.dektop file and refresh
    the remove_gpsbabel_version patch
  * Add lintian-overrides relative to 'debian-watch-may-check-gpg-signature'
  * Replace old style config section '[git-buildpackage]' with '[buildpackage]'
    in debian/gbp.conf file
  * Remove asterisk from debian/NEWS file
  * Remove deprecated debian/postinst and debian/postrm scripts
  * Delete empty directories in debian during building process

 -- Marcelo Santana <marcelo@msantana.eng.br>  Thu, 07 Jan 2016 17:48:19 -0300

pytrainer (1.10.1-5) unstable; urgency=medium

  * Drop Debian menu entry, as the coexistence if it with ;desktop
    entries is now discouraged
  * Allow wrapper to pass arguments to pytrainer binary
    Closes: #796451

 -- Christian Perrier <bubulle@debian.org>  Thu, 03 Sep 2015 08:06:21 +0200

=== debian/control ===
Source: pytrainer
Section: utils
Priority: optional
Maintainer: Debian running development group <pkg-running-devel@lists.alioth.debian.org>
Uploaders: Noèl Köthe <noel@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends-Indep: python (>= 2.5.3-1~), dh-python
Build-Depends: debhelper (>= 9~)
Standards-Version: 3.9.6
Homepage: http://github.com/pytrainer/pytrainer
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-running/pytrainer.git
Vcs-Git: git://anonscm.debian.org/pkg-running/pytrainer.git
X-Python-Version: >=2.5

Package: pytrainer
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python, python-libxml2, python-lxml, python-pysqlite2, python-glade2, python-gtk2, python-matplotlib, python-scipy, python-numpy, gpsbabel, iceweasel | firefox | abrowser, python-webkit, python-soappy, zenity, python-migrate (>= 0.5.4)
Description: desktop application for logging sport activities
 Pytrainer is a desktop application for logging and graphing sporting
 activities such as running or cycling sessions. Data can be imported from GPS
 devices, files or input manually. Currently pytrainer supports GPX, TCX and
 FIT files.

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 override_dh_install:
 	rm -rf debian/build
+	find debian -type d -empty -delete
 	python setup.py install --no-compile --prefix debian/pytrainer/usr --install-layout=deb
 	mv debian/pytrainer/usr/bin/pytrainer debian/pytrainer/usr/bin/pytr
 	cp debian/mozpytrainer.sh debian/pytrainer/usr/bin/pytrainer

## pytrainer 1.11.0

=== locale/pt/LC_MESSAGES/Makefile ===
default:
	msgfmt pytrainer_pt.po -o ./pytrainer.mo

merge:
	msgmerge pytrainer_pt.po pytrainer_pt.po_new > pytrainer_pt.po.tmp
	mv pytrainer_pt.po.tmp pytrainer_pt.po
	rm pytrainer_pt.po_new

=== debian/changelog ===
pytrainer (1.11.0-1) unstable; urgency=medium

  * New upstream release. No longer depends on python-webkit. Closes: #749256

 -- Christian Perrier <bubulle@debian.org>  Sun, 15 Oct 2017 08:44:02 +0200

pytrainer (1.10.2~git20160107-4) unstable; urgency=medium

  * debian/control: add firefox-esr as one of alternative browsers in 'Depends'
    Closes: #827228

 -- Marcelo Santana <marcelo@msantana.eng.br>  Wed, 06 Apr 2016 22:03:48 -0300

pytrainer (1.10.2~git20160107-3) unstable; urgency=medium

  * We need to depend on python-webkit, otherwise pytrainer doesn't
    start...:-(
    Reopens: #749256

 -- Christian Perrier <bubulle@debian.org>  Tue, 08 Mar 2016 22:51:29 +0100

pytrainer (1.10.2~git20160107-2) unstable; urgency=medium

  * No longer depend on python-webkit. Closes: #749256

 -- Christian Perrier <bubulle@debian.org>  Tue, 08 Mar 2016 22:28:58 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 Package: pytrainer
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python, python-libxml2, python-lxml, python-pysqlite2, python-glade2, python-gtk2, python-matplotlib, python-scipy, python-numpy, gpsbabel, iceweasel | firefox | abrowser, python-webkit, python-soappy, zenity, python-migrate (>= 0.5.4)
+Depends: ${misc:Depends}, ${python:Depends}, python, python-libxml2, python-dateutil, python-lxml, python-pysqlite2, python-glade2, python-gtk2, python-matplotlib, gpsbabel, iceweasel | firefox | firefox-esr | abrowser, python-soappy, zenity, python-migrate (>= 0.5.4)
 Description: desktop application for logging sport activities
  Pytrainer is a desktop application for logging and graphing sporting
  activities such as running or cycling sessions. Data can be imported from GPS

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with python2
+	dh $@ 
 
 		
 override_dh_clean:

## pytrainer 2.0.0~rc1

=== locale/ru/LC_MESSAGES/Makefile ===
default:
	msgfmt pytrainer_ru.po -o ./pytrainer.mo

merge:
	msgmerge pytrainer_ru.po pytrainer_ru.po_new > pytrainer_ru.po.tmp
	mv pytrainer_ru.po.tmp pytrainer_ru.po
	rm pytrainer_ru.po_new

=== debian/changelog ===
pytrainer (2.0.0~rc1-1) unstable; urgency=medium

  * Maintain under the Python apps team, add myself to uploaders
    (Closes: #899890)
  * New upstream version 2.0.0~rc1, rebase patches to fit
    - Ported to GTK3 and GI (Closes: #892912)
  * Updated dependencies for the new version
  * Updated build rules for the new version

 -- Arto Jantunen <viiru@debian.org>  Fri, 04 Jan 2019 17:47:50 +0200

pytrainer (1.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Perrier <bubulle@debian.org>  Sun, 11 Mar 2018 11:04:28 +0100

=== debian/control ===
Source: pytrainer
Section: utils
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Noèl Köthe <noel@debian.org>,
           Christian Perrier <bubulle@debian.org>,
           Arto Jantunen <viiru@debian.org>
Build-Depends: debhelper (>= 9~), python, dh-python, python-setuptools
Standards-Version: 3.9.6
Homepage: http://github.com/pytrainer/pytrainer
Vcs-Browser: https://salsa.debian.org/python-team/applications/pytrainer
Vcs-Git: https://salsa.debian.org/python-team/applications/pytrainer.git
X-Python-Version: >=2.5

Package: pytrainer
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python, python-dateutil, python-lxml, python-matplotlib, python-migrate (>= 0.5.4), python-gi, gir1.2-gtk-3.0, python-cairo
Recommends: zenity, gpsbabel, iceweasel | firefox | firefox-esr | abrowser
Description: desktop application for logging sport activities
 Pytrainer is a desktop application for logging and graphing sporting
 activities such as running or cycling sessions. Data can be imported from GPS
 devices, files or input manually. Currently pytrainer supports GPX, TCX and
 FIT files.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

override_dh_install:
	dh_install
	mv debian/pytrainer/usr/bin/pytrainer debian/pytrainer/usr/bin/pytr
	cp debian/mozpytrainer.sh debian/pytrainer/usr/bin/pytrainer

## pytrainer 2.0.0

=== locale/es/LC_MESSAGES/Makefile ===
default:
	msgfmt pytrainer_es.po -o ./pytrainer.mo

merge:
	msgmerge pytrainer_es.po pytrainer_es.po_new > pytrainer_es.po.tmp
	mv pytrainer_es.po.tmp pytrainer_es.po
	rm pytrainer_es.po_new

=== debian/changelog ===
pytrainer (2.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field.
  * d/copyright: Use https protocol in Format field.
  * d/changelog: Remove trailing whitespaces.

  [ Arto Jantunen ]
  * Remove Christian Perrier from Uploaders (Closes: #927550)
  * Convert to use pybuild
  * Add back build-dependencies
  * Use xvfb when running the tests
  * New upstream version 2.0.0
  * Remove patches, applied upstream
  * Build for Python 3 instead of Python 2
  * Use HTTPS for the homepage url
  * Update to debhelper 12
  * Bump Standards-Version to 4.4.0

 -- Arto Jantunen <viiru@debian.org>  Thu, 11 Jul 2019 17:24:26 +0300

=== debian/control ===
Source: pytrainer
Section: utils
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Noèl Köthe <noel@debian.org>,
           Arto Jantunen <viiru@debian.org>
Build-Depends: debhelper (>= 12~), python3, dh-python, python3-setuptools, python3-dateutil, python3-lxml, python3-matplotlib, python3-migrate, python3-psycopg2, python3-mysqldb, python3-mock, python3-gi, gir1.2-gtk-3.0, python3-cairo, xvfb, xauth, locales-all
Standards-Version: 4.4.0
Homepage: https://github.com/pytrainer/pytrainer
Vcs-Browser: https://salsa.debian.org/python-team/applications/pytrainer
Vcs-Git: https://salsa.debian.org/python-team/applications/pytrainer.git

Package: pytrainer
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-gi, gir1.2-gtk-3.0, python3-cairo
Recommends: zenity, gpsbabel
Description: desktop application for logging sport activities
 Pytrainer is a desktop application for logging and graphing sporting
 activities such as running or cycling sessions. Data can be imported from GPS
 devices, files or input manually. Currently pytrainer supports GPX, TCX and
 FIT files.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=pytrainer

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	TZ=Europe/Kaliningrad LC_ALL=en_US.UTF-8 xvfb-run dh_auto_test

## pytrainer 2.0.2

=== debian/changelog ===
pytrainer (2.0.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entries 1.4.6-3, 1.4.2-2, 1.3.1-2.
  * Update standards version to 4.5.0, no changes needed.

  [ Arto Jantunen ]
  * New upstream version 2.0.2
  * Mark as Rules-Requires-Root: no
  * Update to debhelper 13

 -- Arto Jantunen <viiru@debian.org>  Wed, 09 Sep 2020 10:33:13 +0300

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Noèl Köthe <noel@debian.org>,
            Arto Jantunen <viiru@debian.org>
-Build-Depends: debhelper (>= 12~), python3, dh-python, python3-setuptools, python3-dateutil, python3-lxml, python3-matplotlib, python3-migrate, python3-psycopg2, python3-mysqldb, python3-mock, python3-gi, gir1.2-gtk-3.0, python3-cairo, xvfb, xauth, locales-all
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13), python3, dh-python, python3-setuptools, python3-dateutil, python3-lxml, python3-matplotlib, python3-migrate, python3-psycopg2, python3-mysqldb, python3-mock, python3-gi, gir1.2-gtk-3.0, python3-cairo, xvfb, xauth, locales-all
+Standards-Version: 4.5.0
 Homepage: https://github.com/pytrainer/pytrainer
 Vcs-Browser: https://salsa.debian.org/python-team/applications/pytrainer
 Vcs-Git: https://salsa.debian.org/python-team/applications/pytrainer.git
+Rules-Requires-Root: no
 
 Package: pytrainer
 Architecture: all

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pytrainer-$1\.tar\.gz/ \
https://github.com/pytrainer/pytrainer/tags \
  .*/v?(\d\S*)\.tar\.gz

## pytrainer 2.1.0

=== locale/ca/LC_MESSAGES/Makefile ===
default:
	msgfmt pytrainer_ca.po -o ./pytrainer.mo

merge:
	msgmerge pytrainer_ca.po pytrainer_ca.po_new > pytrainer_ca.po.tmp
	mv pytrainer_ca.po.tmp pytrainer_ca.po
	rm pytrainer_ca.po_new

=== debian/changelog ===
pytrainer (2.1.0-2) unstable; urgency=medium

  * Wrap-and-sort debian/control
  * Build-dep on python3-gi-cairo instead of python3-gi and python3-cairo
    (Closes: #1027493)

 -- Arto Jantunen <viiru@debian.org>  Wed, 04 Jan 2023 14:42:43 +0200

pytrainer (2.1.0-1) unstable; urgency=medium

  * Add build-dep on python3-pip
  * New upstream version 2.1.0
  * debian/watch: Add signature verification support
  * Bump Standards-Version, no changes

 -- Arto Jantunen <viiru@debian.org>  Sun, 27 Mar 2022 19:21:28 +0300

pytrainer (2.0.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Sep 2021 23:23:18 -0400

=== debian/control ===
Source: pytrainer
Section: utils
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Noèl Köthe <noel@debian.org>,
           Arto Jantunen <viiru@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               gir1.2-gtk-3.0,
               locales-all,
               python3,
               python3-dateutil,
               python3-gi-cairo,
               python3-lxml,
               python3-matplotlib,
               python3-migrate,
               python3-mock,
               python3-mysqldb,
               python3-pip,
               python3-psycopg2,
               python3-setuptools,
               xauth,
               xvfb
Standards-Version: 4.6.0
Homepage: https://github.com/pytrainer/pytrainer
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytrainer
Vcs-Git: https://salsa.debian.org/python-team/packages/pytrainer.git
Rules-Requires-Root: no

Package: pytrainer
Architecture: all
Depends: gir1.2-gtk-3.0,
         python3-cairo,
         python3-gi,
         ${misc:Depends},
         ${python3:Depends}
Recommends: gpsbabel,
            zenity
Description: desktop application for logging sport activities
 Pytrainer is a desktop application for logging and graphing sporting
 activities such as running or cycling sessions. Data can be imported from GPS
 devices, files or input manually. Currently pytrainer supports GPX, TCX and
 FIT files.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/archive\/refs\/tags\/v(\d\S+)\.tar\.gz/releases\/download\/v$1\/pytrainer-$1\.tar\.gz\.asc/ \
  https://github.com/pytrainer/pytrainer/releases/latest .*/v(\d\S+)\.tar\.gz

## pytrainer 2.2.1

=== locale/gl/LC_MESSAGES/Makefile ===
default:
	msgfmt pytrainer_gl.po -o ./pytrainer.mo

merge:
	msgmerge pytrainer_gl.po pytrainer_gl.po_new > pytrainer_gl.po.tmp
	mv pytrainer_gl.po.tmp pytrainer_gl.po
	rm pytrainer_gl.po_new

=== locale/no/LC_MESSAGES/Makefile ===
default:
	msgfmt pytrainer_no.po -o ./pytrainer.mo

merge:
	msgmerge pytrainer_no.po pytrainer_no.po_new > pytrainer_no.po.tmp
	mv pytrainer_no.po.tmp pytrainer_no.po
	rm pytrainer_no.po_new

=== locale/sv/LC_MESSAGES/Makefile ===
default:
	msgfmt pytrainer_sv.po -o ./pytrainer.mo

merge:
	msgmerge pytrainer_sv.po pytrainer_sv.po_new > pytrainer_sv.po.tmp
	mv pytrainer_sv.po.tmp pytrainer_sv.po
	rm pytrainer_sv.po_new

=== debian/changelog ===
pytrainer (2.2.1-6) unstable; urgency=medium

  * Team upload.
  * Don't run tests using tox (closes: #1098810).

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Mar 2025 01:36:27 +0000

pytrainer (2.2.1-5) unstable; urgency=medium

  * Remove build-dep on python3-migrate, dropped upstream in version 2.2.0.
    (Closes: #1076170).
  * Bump Standards-Version to 4.7.0, no changes.

 -- Arto Jantunen <viiru@debian.org>  Fri, 12 Jul 2024 09:24:51 +0300

pytrainer (2.2.1-4) unstable; urgency=medium

  * Have xvfb-run find a free server number when running autopkgtests
    (Closes: #1059646)

 -- Arto Jantunen <viiru@debian.org>  Sun, 31 Dec 2023 10:29:19 +0200

pytrainer (2.2.1-3) unstable; urgency=medium

  * Remove .egg-info in the clean target (Closes: #1045322)

 -- Arto Jantunen <viiru@debian.org>  Fri, 27 Oct 2023 10:47:07 +0300

pytrainer (2.2.1-2) unstable; urgency=medium

  * Team upload.
  * Enforce /usr/bin/python3 as shebang to avoid python2 dependency

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Sep 2023 01:04:42 +0200

pytrainer (2.2.1-1) unstable; urgency=medium

  * Update upstream signing key
  * Update debian/watch to match latest Github shenanigans
  * New upstream version 2.2.1
  * Let pybuild run the testsuite using Tox
  * Bump Standards-Version to 4.6.2, no changes
  * Add autopkgtests (Closes: #1036512)

 -- Arto Jantunen <viiru@debian.org>  Mon, 24 Jul 2023 19:36:25 +0300

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,16 @@
            Arto Jantunen <viiru@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               gir1.2-gtk-3.0,
-               locales-all,
                python3,
                python3-dateutil,
-               python3-gi-cairo,
                python3-lxml,
                python3-matplotlib,
-               python3-migrate,
-               python3-mock,
                python3-mysqldb,
                python3-pip,
                python3-psycopg2,
                python3-setuptools,
-               xauth,
-               xvfb
-Standards-Version: 4.6.0
+               python3-sqlalchemy,
+Standards-Version: 4.7.0
 Homepage: https://github.com/pytrainer/pytrainer
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytrainer
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytrainer.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME := pytrainer
export PYBUILD_TEST_CUSTOM := 1
export PYBUILD_TEST_ARGS := \
	TZ=Europe/Kaliningrad LC_CTIME=C \
	{interpreter} -m unittest discover -s {dir}

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Tests: upstream-tests
Depends: @, python3-all, xvfb, xauth
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/archive\/refs\/tags\/v(\d\S+)\.tar\.gz/releases\/download\/v$1\/pytrainer-$1\.tar\.gz\.asc/ \
https://github.com/pytrainer/pytrainer/tags \
https://github.com/pytrainer/pytrainer/archive/refs/tags/v([^/]*)\.tar\.gz
